
public class ea extends Class8 implements Interface49 {

   long nativeid;


   native void k(char var1, int var2, int var3, int var4, boolean var5);

   native void n(ja var1, ba var2, byte[][] var3, int[] var4, int[] var5, int[] var6, int[] var7);

   void method629(char var1, int var2, int var3, int var4, boolean var5, Class496 var6, int var7, int var8) {
      this.P(var1, var2, var3, var4, var5, var6, var7, var8);
   }

   void method12766() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1367359546);
      }

   }

   native void UA(char var1, int var2, int var3, int var4, boolean var5);

   void method620(char var1, int var2, int var3, int var4, boolean var5, Class496 var6, int var7, int var8) {
      this.P(var1, var2, var3, var4, var5, var6, var7, var8);
   }

   native void P(char var1, int var2, int var3, int var4, boolean var5, Class496 var6, int var7, int var8);

   native void w(char var1, int var2, int var3, int var4, boolean var5);

   native void ac(ja var1, ba var2, byte[][] var3, int[] var4, int[] var5, int[] var6, int[] var7);

   ea(ja var1, ba var2, Class405 var3, Class86_Sub1[] var4, Class171[] var5) {
      super(var1, var3);
      byte[][] var6 = new byte[var4.length][];
      int[] var7 = new int[var4.length];
      int[] var8 = new int[var4.length];
      int[] var9 = new int[var4.length];
      int[] var10 = new int[var4.length];

      for(int var11 = 0; var11 < var4.length; ++var11) {
         Class86_Sub1 var12 = var4[var11];
         if(var12.aByteArray9473 != null) {
            var6[var11] = var12.aByteArray9473;
         } else {
            byte[] var13 = var12.aByteArray9472;
            byte[] var14 = var6[var11] = new byte[var13.length];

            for(int var15 = 0; var15 < var13.length; ++var15) {
               var14[var15] = (byte)(var13[var15] == 0?0:-1);
            }
         }

         var7[var11] = var12.anInt9468;
         var8[var11] = var12.anInt9470;
         var9[var11] = var12.anInt9467;
         var10[var11] = var12.anInt9469;
      }

      this.n(var1, var2, var6, var7, var8, var9, var10);
   }

   public void finalize() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1971969034);
      }

   }

   void method12767() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1330337811);
      }

   }

   native void bi(char var1, int var2, int var3, int var4, boolean var5, Class496 var6, int var7, int var8);

   public native void y(boolean var1);

   void method12768() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1303190215);
      }

   }

   native void av(ja var1, ba var2, byte[][] var3, int[] var4, int[] var5, int[] var6, int[] var7);

   native void ak(ja var1, ba var2, byte[][] var3, int[] var4, int[] var5, int[] var6, int[] var7);

   native void af(char var1, int var2, int var3, int var4, boolean var5, Class496 var6, int var7, int var8);

   native void br(char var1, int var2, int var3, int var4, boolean var5, Class496 var6, int var7, int var8);

   public native void ma(boolean var1);
}
